/*
 * @(#)AuthorityException.java
 *
 * Copyright (C) 2007 Infocity Inc. All Rights Reserved.
 */
package info.dragonlady.sso.authority;

/**
 * オーソリティで発生する例外クラス。
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.0 $ $Date: 2007/04/12 20:51:45 $
 */
public class AuthorityException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5126613554994600785L;

	/**
	 * コンストラクタ。
	 * 
	 */
	public AuthorityException() {
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param message メッセージ
	 */
	public AuthorityException(String message) {
		super(message);
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param cause 原因
	 */
	public AuthorityException(Throwable cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param message メッセージ
	 * @param cause 原因
	 */
	public AuthorityException(String message, Throwable cause) {
		super(message, cause);
	}

}
